Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.dynamics
Class DAEModelUtilities

    java.lang.Object
      biouml.model.dynamics.DAEModelUtilities

public class DAEModelUtilities
extends java.lang.Object

Utility class, providing involved functionality for using EModel

Nested Class Summary
`protected static class` | `DAEModelUtilities.EquationASTPair`

Constructor Summary
`DAEModelUtilities()`

Method Summary
`protected static boolean` | `dependentFromOthers(Node node, java.util.Map map)`
`protected static void` | `fillUsedVariableList(Node node, java.util.List list)`
`protected static void` | `fillVarASTMap(DiagramElement de, java.util.Map map, EModel emodel)`
`static java.lang.String[]` | `getUsedVariables(EModel emodel, AstStart start)` Returns all variabels used in given parsed tree
`static Equation[]` | `reorderAssignmentRules(EModel emodel)` Reorders assignment rules according to variable dependencies.
`protected static Equation[]` | `reorderEquations(java.util.Map map)`
`static void` | `substituteAssignmentRules(java.util.Map macroMap, AstStart start)`
`protected static void` | `substituteSubtree(java.util.Map map, Node node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DAEModelUtilities

    public DAEModelUtilities()

Method Detail

### getUsedVariables

    public static java.lang.String[] getUsedVariables(EModel emodel,
                                                      AstStart start)

  Returns all variabels used in given parsed tree

### fillUsedVariableList

    protected static void fillUsedVariableList(Node node,
                                               java.util.List list)

### reorderAssignmentRules

    public static Equation[] reorderAssignmentRules(EModel emodel)
                                             throws java.lang.Exception

  Reorders assignment rules according to variable dependencies.

  Throws:
    `java.lang.Exception`

### substituteAssignmentRules

    public static void substituteAssignmentRules(java.util.Map macroMap,
                                                 AstStart start)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### substituteSubtree

    protected static void substituteSubtree(java.util.Map map,
                                            Node node)

### fillVarASTMap

    protected static void fillVarASTMap(DiagramElement de,
                                        java.util.Map map,
                                        EModel emodel)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### reorderEquations

    protected static Equation[] reorderEquations(java.util.Map map)

### dependentFromOthers

    protected static boolean dependentFromOthers(Node node,
                                                 java.util.Map map)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.